body, html {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    background-color: #ffffff; /* Weißer Hintergrund */
}

header, footer {
    background-color: #f0f0f0; /* Hellgrauer Hintergrund */
    color: #ffffff;
    padding: 10px 20px;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1); /* Schatten für Header und Footer */
}

#logo {
    margin: 0;
    font-size: 2em;
    color: #000; /* Schwarze Schrift */
}

.menu {
    list-style: none;
    padding: 0;
}

.menu li {
    display: inline;
    margin-right: 10px;
}

.menu li a {
    background-color: #992404; /* Heller Blauton */
    color: #ffffff; /* Weiße Schrift */
    text-decoration: none;
    padding: 10px 15px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2); /* Schatten für Links */
    transition: background-color 0.3s;
}

.menu li a:hover {
    background-color: #9ec2e6; /* Dunklerer Blauton beim Hover */
}

section {
    padding: 20px;
    margin: 10px;
    background-color: #ffffff;
    border: 1px solid #ddd;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1); /* Schatten für Abschnitte */
}

/* Dies fügt einen unteren Margin zur letzten Section hinzu, die vor dem Footer angezeigt wird */
section:last-of-type {
    margin-bottom: 50px; /* Stelle sicher, dass dieser Wert mindestens so hoch ist wie die Höhe deines Footers */
}

footer {
    text-align: center;
    padding: 10px 20px;
    background-color: #f0f0f0; /* Hellgrauer Hintergrund */
    color: #000000; /* Schwarze Schrift für bessere Lesbarkeit */
    position: fixed;
    bottom: 0;
    width: 100%;
}

@media (max-width: 600px) {
    .menu li {
        display: block;
        text-align: center;
        margin-bottom: 10px;
    }

    header, footer {
        text-align: center;
    }
}
